Package com.avaya.clientservices.media.codec

## Class VideoDecoder

- java.lang.Object
- - com.avaya.clientservices.media.gui.NativeObject
  - - com.avaya.clientservices.media.gui.VideoSource
    - - com.avaya.clientservices.media.codec.VideoDecoder

- All Implemented Interfaces:
    `Destroyable`

      public class VideoDecoder
      extends VideoSource

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VideoDecoder​(int nVideoCodecType, java.lang.String strFormat, java.lang.String strDriver)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `destroy()` | Call this method when finished with the object; which will release the underlying C++ object.
    `static java.lang.String` | `getDriverForFormat​(java.lang.String strFormat)` |
    `static java.lang.String` | `getDriverForFormat​(java.lang.String strFormat, boolean bRequireVantageAndroid8)` |
    `void` | `initialize()` |
    `void` | `reset()` |
    `boolean` | `setFormat​(java.lang.String strFormat)` |
    `void` | `start()` |
    `void` | `stop()` |
    `void` | `uninitialize()` |

    - ### Methods inherited from class com.avaya.clientservices.media.gui.VideoSource

      `setVideoSink`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VideoDecoder

          public VideoDecoder​(int nVideoCodecType,
                              java.lang.String strFormat,
                              java.lang.String strDriver)

  - ### Method Detail

    - #### getDriverForFormat

          public static java.lang.String getDriverForFormat​(java.lang.String strFormat)

    - #### getDriverForFormat

          public static java.lang.String getDriverForFormat​(java.lang.String strFormat,
                                                            boolean bRequireVantageAndroid8)

    - #### destroy

          public void destroy()

      Description copied from class: `VideoSource`
      Call this method when finished with the object; which will release the underlying C++ object.
      Specified by:
        `destroy` in interface `Destroyable`
      Overrides:
        `destroy` in class `VideoSource`

    - #### initialize

          public void initialize()

    - #### uninitialize

          public void uninitialize()

    - #### setFormat

          public boolean setFormat​(java.lang.String strFormat)

    - #### start

          public void start()

    - #### stop

          public void stop()

    - #### reset

          public void reset()